/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

var SETTINGS = {
    apis: {
        // Tracking
        track: "http://localhost/helena.express/apis/track/",
        trackmultiple: "http://localhost/helena.express/apis/trackmultiple/",
        // Shipping rates
        rates: "http://localhost/helena.express/apis/rates/",
        // Get appointment iframe URL
        appointmentredirect: "http://localhost/helena.express/apis/appointmentredirect/",
        // Request home pickup
        requestpickup: "http://localhost/helena.express/apis/requestpickup/",
        // Drop and Send
        dropandsendlocations: "http://localhost/helena.express/apis/dropandsend/locations/",
        dropandsendpickup: "http://localhost/helena.express/apis/dropandsend/requestpickup/",
        // Fetch account data
        getaccountinfo: "http://localhost/helena.express/apis/account/getinfo/",
        // Fetch tracking numbers associated with account
        gettrackingnumbers: "http://localhost/helena.express/apis/account/gettrackingnumbers/",
        // Account login/registration/onboarding endpoints
        authorstartverify: "http://localhost/helena.express/apis/account/authorstartverify/",
        verifyauthcode: "http://localhost/helena.express/apis/account/verifyauthcode/",
        accountregister: "http://localhost/helena.express/apis/account/register/",
        // Setup saved payment method
        redirecttopaymentsetup: "http://localhost/helena.express/apis/account/redirecttopaymentsetup/",
        finishpaymentsetup: "http://localhost/helena.express/apis/account/finishpaymentsetup/",
        // Send a telegram message
        sendtelegram: "http://localhost/helena.express/apis/telegram",
        // Fetch shop items
        shopitems: "http://localhost/helena.express/apis/shop/items",
        // Create a shop order
        shopbuy: "http://localhost/helena.express/apis/shop/buy",
        // Get receipts linked with account
        getreceipts: "http://localhost/helena.express/apis/account/getreceipts",
        getreceipt: "http://localhost/helena.express/apis/account/getreceipt",
        // Crypto: check balance and send transactions
        walletbalance: "http://localhost/helena.express/apis/crypto/walletbalance",
        getutxo: "http://localhost/helena.express/apis/crypto/getutxo",
        broadcasttransaction: "http://localhost/helena.express/apis/crypto/broadcasttransaction",
        cryptofees: "http://localhost/helena.express/apis/crypto/fees",
        // Service area map
        servicearea: "http://localhost/helena.express/apis/servicearea"
    },
    stripe_pubkey: "pk_test_51J6qFXCa1Fboir5UzPO3LCiMsVNiFP2lq4wR0dEcjJJVzAaJ3uRggDekZPB3qeYpMD3ayIYHKyD5sSn0IFLlEXMW001LqrvGSH",
    branding: {
        apptitle: "Helena Express",
        company: "Helena Express",
        website: "https://helena.express"
    },
    maptileurls: {
        liberty: {
            url: "https://maps.netsyms.net/styles/osm-liberty/{z}/{x}/{y}.png",
            json: "https://maps.netsyms.net/styles/osm-liberty/style.json",
            name: "Liberty",
            bgcolor: "#EFEFEF"
        },
        libertydark: {
            url: "https://maps.netsyms.net/styles/osm-liberty-dark/{z}/{x}/{y}.png",
            json: "https://maps.netsyms.net/styles/osm-liberty-dark/style.json",
            name: "Dark",
            bgcolor: "#1A1A1A"
        }
    }
}
